﻿label gameover:
    $ currentbattle = uniquebattle = [ ]
    $ renpy.restart_interaction()
    scene black with pixellate
    
    x "That's... that's it."
    
    x "I've already hit the ground... vision turns black..."
    
    x "...I always thought it'd be honourable to die in battle, but... not like this..."

    x "...they're both dead, too... it's all over, for Sylvia and Saber, too..."
    
    x "Suddenly, I feel a huge piercing feeling through my back..."
    
    x "...and then..."
    
    stop music fadeout 2.0
    
    x "...nothing..."
    
    jump _main_menu

# The game starts here! Not there.
label start:
    scene black
    play music "bretondancesuite.mp3"
    python:
        currentbattle = uniquebattle = [ ]
        party = [ None, None, None ]
        classindex = [ 0, 0, 0 ]
        partygold = 100
        finalboss = False
        hardmode = False
        
        mira_class = [ Knight("Mira", True, "mira-knight.png"), Ranger("Mira", True, "mira-ranger.png"), Witch("Mira", True, "mira-witch.png") ]
        sylvia_class = [ Healer("Sylvia", True, "sylvia-healer.png"), Rogue("Sylvia", True, "sylvia-rogue.png"), Witch("Sylvia", True, "sylvia-witch.png") ]
        saber_class = [ Knight("Saber", True, "saber-knight.png"), Ranger("Saber", True, "saber-ranger.png"), Rogue("Saber", True, "saber-rogue.png") ]
        
        for i in mira_class:
            i.hit = "%x slash at %y and take%s a nasty cut!"
            i.miss = "%x swing%s at %y, but fail%s to hit..."
            
            i.items = partyitems
        for i in sylvia_class:
            i.hit = "%x take%s a shot at %y, and it rings true, hitting hard."
            i.miss = "%x shoot%s at %y, but it narrowly misses..."
            
            i.items = partyitems
        for i in saber_class:
            i.hit = "%x land%s a mighty stab on %y!"
            i.miss = "%x thrust%s his blade, but %y knocks it away!"
            
            i.items = partyitems
        
        for i in sylvia_class:
            i.sprite.ypos += 60
        
        for i in saber_class:
            i.sprite.ypos += 120
        
        sylvia_class[0].spells = [ Cure(), Cure(), Cure(), Haste(), Majorheal(), Majorheal(), Protect(), Protect() ] 
        sylvia_class[2].spells = [ Spark(), Spark(), Spark(), Spark(), Lightning(), Paralyze(), Blizzard(), Blizzard() ]
        mira_class[2].spells = [ Paralyze(), Paralyze(), Slow(), Superheat(), Superheat() ]
        
        while True:
            if party[0] and party[1] and party[2]:
                fullparty = ui.returns((2,0,0))
            else:
                fullparty = None
            
            if hardmode:
                hardchoice = None
                easychoice = ui.returns((3,0,0))
            else:
                easychoice = None
                hardchoice = ui.returns((4,0,0))
            
            ui.text("Select the members of your party:", xpos=0.5, xanchor=0.5, ypos=0.2)
            choose_class(mira_class, 0)
            choose_class(sylvia_class, 1)
            choose_class(saber_class, 2)
            
            ui.window(xfill=False, xpos=0.7, ypos=0.7, yminimum=0)
            ui.vbox()
            ui.textbutton("Reset", clicked=ui.returns((1,0,0)))
            ui.textbutton("Start", clicked=fullparty)
            ui.close()
            
            ui.window(xfill=False, xpos=0.5, ypos=0.8, yminimum=0)
            ui.hbox()
            ui.textbutton("Easy mode", clicked=easychoice)
            ui.textbutton("Hard mode", clicked=hardchoice)
            ui.close()
            
            choice = ui.interact()
            
            if choice[0] is 1:
                party = [ None, None, None ]
            elif choice[0] is 2:
                break
            elif choice[0] is 3:
                hardmode = False
            elif choice[0] is 4:
                hardmode = True
            else:
                classindex[choice[1]] = choice[2]
                if choice[0]:
                    if choice[1] is 0:
                        party[choice[1]] = mira_class[choice[2]]
                    elif choice[1] is 1:
                        party[choice[1]] = sylvia_class[choice[2]]
                    else:
                        party[choice[1]] = saber_class[choice[2]]
    
    $ save_name = "The Great Escape"
    scene bg forest day with pixellate
    stop music fadeout 2.0
    queue music "soldier.mp3"

    x "The three of us all escaped, together, into the woods. We got away with little fight; we had the element of surprise on our side."
    
    x "All three of us were perfect strangers. The only thing we had in common was that we're all human, and we were all prisoners of the orcs."
    
    x "Filthy monsters kept us bound and captive, carrying us across their miserable wasteland for god knows what purpose... I'm just glad to be alive."
    
    x "Orcs don't usually take prisoners."
    
    sylvia "Oh, god... do you hear that? Behind us?"
    
    saber "Wolves. Definitely the snarl of wolves. They're catching up to us."
    
    sylvia "What are we going to do? They're going to catch us again! They're going to kill us!"
    
    saber "Can we lose them?"
    
    mira "On wolf-back? We haven't got the slightest hope in hell. They're going to catch up to us in less than a minute, for sure."
    
    sylvia "Oh, god..."
    
    saber "Then... we stop, and we fight."
    
    mira "I'm tired of running. I like the sound of that."
    
    x "...because right now, after all those monsters put me through? They're going to wish they'd killed us when they had the chance."
    
    sylvia "We're barely armed, we're outnumbered... what chance do we have?"
    
    saber "Five of them, three of us. I like those odds."
    
    sylvia "You're crazy!"
    
    mira "I will NOT be humiliated again. As far as I'm concerned... they're already dead."
    
    scene bg battlefield with pixellate
    $ battle([ Grunt(), Grunt(), Grunt(), Grunt(), Grunt() ], "The five orcs approach!")
    scene bg forest day with pixellate
    
    mira "Take that! And that! And that! Filthy swine, take--"
    
    sylvia "Stop it! He's already dead... just... stop it!"
    
    mira "Di--"
    
    sylvia "Enough!"
    
    stop music fadeout 0.5
    
    x "...her shouting brings me back to my senses. I stare down at the orc beneath me; sure enough... she's right. He's well past dead."
    
    x "I feel a sense of disgust with myself. I lost control; that's never happened to me before, and I'm horrified."
    
    mira "Oh... god..."
    
    sylvia "Come on... it's okay. They're dead. They're not going to capture us again."
    
    play music "aridfoothills.mp3" fadein 2.0
    
    x "I'm reflexively upset that she feels that she needs to reassure me; especially when just a minute ago she was quivering in terror."
    
    x "I'm not scared... not of any orc bastards, anyway."
    
    mira "Sorry."
    
    saber "Here, I found some usable equipment on them. And trail rations. Nothing much, but it'll help."
    
    x "I look up, and see that he's already gotten to looting their bodies while I was having my temper tantrum. He seems to be remarkably collected."
    
    x "It's a good thing. Someone needs to be."
    
    mira "Given that we've barely got more than our weapons and the clothes on our backs... anything helps."
    
    saber "Right."
    
    sylvia "Do... do you think there'll be more?"
    
    saber "Undoubtably. We're in the heart of orc territory."
    
    sylvia "Oh, god..."
    
    mira "When I was being... taken... we passed by a river. I kept track of our direction. If we keep heading southwards, I think we should hit it."
    
    saber "Perfect."
    
    sylvia "A river? How's that perfect?"
    
    saber "Loses our scent. When their friends come looking for us, they'll hit a dead end following our trail."
    
    sylvia "Oh..."
    
    mira "It's not that far, I don't think. If we go straight, I think we should reach it in half a day's travel. Don't worry... we're not going to be chased."
    
    saber "Still knee deep in orc territory, though."
    
    sylvia "That's just as bad!"
    
    mira "Not if nobody knows where we are. Don't worry... we'll get out of here. I promise you that."
    
    saber "Not if we don't start walking soon."
    
    mira "Let's go."
    
    sylvia "Will we really be okay...?"
    
label map:
    while True:
        scene bg map with pixellate
        stop music fadeout 4.0
        queue music "aridfoothills.mp3"
        
        python:
            party[0].sprite.dir = _down
            ui.at(Position(xpos=maplisting[mappos][0], ypos=maplisting[mappos][1], xanchor=0.5, yanchor=1.0))
            ui.add(party[0].sprite.image())
            ui.window(xfill=False, xpos=680, ypos=190, xanchor=0.5, yanchor=0, xmargin=20, ymargin=20, yminimum=0)
            ui.textbutton("Continue", clicked=ui.returns((4,0)))
            xmod = 0
            for i in party:
                ui.window(xfill=False, xpos=90+xmod, xanchor=0, ypos=0.65, yminimum=0, yanchor=0, xmargin=20)
                ui.vbox()
                ui.text(i.name)
                ui.text(str(i.health) + "/" + str(i.maxhealth) + "HP")
                ui.text(" ")
                ui.textbutton("Magic", clicked=ui.returns((party.index(i),2)))
                ui.textbutton("Item", clicked=ui.returns((party.index(i),3)))
                if mappos > 2:
                    ui.textbutton("Ability", clicked=ui.returns((party.index(i),4)))
                ui.close()
                xmod += 200
        $ choice = ui.interact()
        if choice[0] > len(party):
            python:
                if maplisting[mappos][1] > maplisting[mappos+1][1]:
                    party[0].sprite.dir = _up
                elif abs(maplisting[mappos][0]-maplisting[mappos+1][0]) > abs(maplisting[mappos][1]-maplisting[mappos+1][1]):
                    party[0].sprite.dir = _left
                else:
                    party[0].sprite.dir = _down
                
                mappos += 1
                party[0].sprite.move = 1
                ui.at(Move((maplisting[mappos-1][0],maplisting[mappos-1][1],0.5,1.0),(maplisting[mappos][0],maplisting[mappos][1],0.5,1.0), 3.0))
                ui.add(party[0].sprite.image())
                renpy.pause(3.0)
                party[0].sprite.move = 0
            
            if mappos is 1:
                call river from nowhere_1
            elif mappos is 2:
                call leavingtheriver from nowhere_2
            elif mappos is 3:
                call morningafterorcs from nowhere_3
            elif mappos is 4:
                call caughtontheroad from nowhere_4
            elif mappos is 5:
                call firstwatch from nowhere_5
            elif mappos is 6:
                call enteringthedarkwoods from nowhere_6
            elif mappos is 7:
                call thingswehate from nowhere_7
            elif mappos is 8:
                call nightinthewoods from nowhere_8
            elif mappos is 9:
                call outofthewoods from nowhere_9
            elif mappos is 10:
                call findingthevillage from nowhere_10
            elif mappos is 11:
                call sylviasdecision from nowhere_11
            elif mappos is 12:
                call thebeginning from nowhere_12
        else:
            if choice[1] is 2:
                $ itemsmagic(party[choice[0]], party[choice[0]].spells)
            elif choice[1] is 3:
                $ itemsmagic(party[choice[0]], party[choice[0]].items)
            elif choice[1] is 4:
                $ party[choice[0]].pick_ability()
label river:
    $ save_name = "The River"
    scene bg forest day with pixellate
    
    sylvia "So, um... what are your names, anyway?"
    
    x "That's right... we never did introduce each other."
    
    x "I met the man when we were joined at a caravan. The orcs didn't exactly let us speak to each other. Not that it stopped us from co-ordinating our escape."
    
    x "On the way out... we heard her screaming, and rescued her. Nobody would've even noticed our escape otherwise, but we couldn't just leave her behind."
    
    saber "...Saber."
    
    mira "My name is... well, just call me Mira. I don't suppose titles matter out here."
    
    sylvia "Oh; no, I guess not. I'm Sylvia. I'm so glad to have met both of you... I never thought I'd see another human again."
    
    sylvia "Thank you, Mira and Saber, for saving me."
    
    mira "It'd hardly be right to leave a woman behind, Sylvia."
    
    sylvia "But still..."
    
    saber "Do you hear that? The river's just up ahead."
    
    mira "Wow, that's even closer than I thought. I'm not going to complain."
    
    # PAUSE
    
    x "There's another silence. It's only natural, I suppose. What is there to say?"
    
    # ANOTHER PAUSE, RIVER
    scene bg river with pixellate
    
    sylvia "So, um... what now, Mira?"
    
    mira "We follow it, of course. Time to get your feet a little wet."
    
    sylvia "I... think I can live with that."
    
    return
    
label leavingtheriver:
    $ save_name = "Fighting for Camp"
    scene bg river with pixellate
    
    mira "We've gone along far enough, I think."
    
    x "We've been travelling along the river for hours. Sylvia's been braving it quietly, but I can tell the riverbed's been brutal on her."
    
    x "She's not used to this kind of footwork, I can tell."
    
    saber "Yeah. Here's as good a place as any to leave."
    
    sylvia "Oh... that's good."
    
    mira "It's starting to get dark. I think we need to consider making camp soon."

    sylvia "That's a good idea..."
    
    saber "No complaints from me."
    
    sylvia "God, I really could use a rest, after all tha--"

    mira "Shh!"

    $ renpy.pause()

    sylvia "...what?"
    
    mira "Look... up ahead of us. Speaking of camp."
    
    scene bg forest camp with pixellate
    
    saber "Orcs."
    
    sylvia "Oh no... do you think they've spotted us?"
    
    saber "Doubtful."
    
    mira "Better question: do you think we can take them?"
    
    sylvia "What?! Why would we try to fight them?"
    
    mira "It'll be even longer before we're a safe distance to make camp. Or... we could kill them and take their food and their tents."
    
    saber "Better than letting them live. Get them while we have the drop on them before they kill more innocent humans."
    
    x "It's the most I've heard him say yet, and... well, it sounds right to me."
    
    x "It's not a matter of being blood thirsty. I don't know about him, but I'm a soldier. I enlisted to fight the orc barbarians invading OUR land."
    
    x "Better to stop them here than let them get that far."
    
    mira "I like the way you think."
    
    mira "Sylvia... would you rather let them get to some human village? Have you seen what they do?"
    
    sylvia "Oh... god..."
    
    x "A look of pure horror comes across her face. She clearly has."
    
    sylvia "...okay."
    
    x "That wasn't the reaction I was expecting at all."
    
    saber "I count two tents. Orc tents only have room for one, so."
    
    mira "They don't like sleeping with others. You won't even find females lying next to their mates; they need room or they're liable to get violent."
    
    sylvia "That's why they push onto human countries..."
    
    saber "Let's stay focused."

    saber "Two tents means two orcs. Judging by the size of the fire, I'd say sorcerors. Gotta be magic."
    
    mira "Are we ready? They'll never know what him them!"
    
    stop music fadeout 2.0
    queue music "gearhead.mp3"
    
    scene bg battlefield evening with pixellate
    $ battle([ Orcmage(), Orcmage() ], "We catch the pair of orcs off guard!", spoils=4, reward=50)
    scene bg forest camp with pixellate
    
    stop music fadeout 2.0
    queue music "aridfoothills.mp3"
    
    saber "I'll go move the bodies. Don't want to be staring at dead orcs while I sleep."
    
    mira "Good plan. Thanks."
    
    mira "Sylvia... are you alright?"
    
    sylvia "Yeah, I'll be fine..."
    
    mira "Are you sure? You seemed aghast earlier... we're in a shitty situation, but that doesn't mean I don't care."
    
    sylvia "No, it's just... I'm not used to fighting. I can see that you and Saber must be seasoned fighters, but... well, I'm not."
    
    mira "Well, don't worry, Sylvia. You held up just fine. I've got faith in you."
    
    sylvia "Well... I don't."
    
    mira "Then-- look at it this way. You said we seemed like seasoned fighters; do you have any faith in me?"
    
    sylvia "Of course!"
    
    sylvia "You did save my life and all..."
    
    mira "Then I promise, I'll protect you. I swear, I won't let anyone else harm you again. Can you put your faith in that?"
    
    x "She's silent, staring at me; I can tell she's trying to figure out to make of it."
    
    x "Finally, she nods."
    
    mira "Good. So let me worry about your safety; you don't have to."
    
    sylvia "...alright."
    
    x "I don't think words like that are going to be enough, but it's a start. I don't know what she's been through... but it must've been something awful."
    
    saber "That's the both of them. Campsite's clear for us now."
    
    sylvia "Oh, thank god... can we eat now? I haven't eaten in... god, I don't even know."
    
    mira "Well, all we have is orc food, so it's not going to be great..."
    
    sylvia "DAYS. It has been days. I'm not going to be picky."
    
    mira "Then by all means. And let's see if we can't get that fire started again..."
    
    return
    
label morningafterorcs:
    $ save_name = "The Morning After"
    scene bg on the road with pixellate
    
    stop music fadeout 2.0
    queue music "judeestune.mp3"
    
    sylvia "God... my feet are so sore..."
    
    saber "Only been half a day. Still a long way to go before we rest."
    
    sylvia "Gaaaaaaaah."
    
    mira "Well... we should be taking a break sometime soon. We need to eat, anyway... and if you pass out from exhaustion, I don't want to be the one carrying your ass down the road."
    
    sylvia "Oh, my hero! I'm glad you're SO concerned about my health, at least."
    
    x "I'm still trying to figure Sylvia out. But, I'm glad she seems to have a sense of humour..."
    
    mira "I am! I said I didn't want you to pass out, didn't I?"
    
    saber "*Ahem.* If you ladies are done flirting..."
    
    x "I laugh... and Sylvia blushes; why would she be embarassed by that?"

    saber "...if we're going to rest, in the shade of that tree there would be best. It'll be cooler."
    
    mira "Alright. Sounds good."
    
    scene bg by a tree with pixellate
    
    x "We all head over and sit in the shade. Well, Saber and I sit. Sylvia falls clumsily onto her back, laying on the grass."
    
    sylvia "Oooh... that feels better."
    
    x "All three of us start to eat. I'm not nearly as hungry as I was last night, and the foul taste of the jerky is a whole lot more noticable."
    
    x "I can't help but be a bit amused at her expression as Sylvia nearly gags. She says nothing, and tries to hide it."
    
    $ renpy.pause(1.0)
    
    x "Eventually, we finish. Or at least, I finish as much as I can stomach."
    
    saber "There's something I'd like to talk about with both of you, before we get going again."
    
    mira "Yeah?"
    
    saber "I don't know if you have any military background; it doesn't seem like Sylvia does. But I think we need to talk about co-ordination here."
    
    x "I know what he's getting at. I wasn't going to say anything, because I thought there was enough pressure on Sylvia... but he's probably right."
    
    saber "So far all we've been doing is swinging at the enemy repeatedly, with little thought to anything else. That works fine with a whole division, but not a three man team."
    
    saber "Uh. Three person. You know what I mean."
    
    saber "The point is, those sorts of tactics don't work for a group like us. We're lucky we made it this far. But from here on out..."
    
    mira "...we need to plan out what we're going to do individually before we start fighting."
    
    saber "Right. Exactly."
    
    sylvia "What, uh, do you mean by that?"
    
    mira "Well, we all have unique abilities, right? The next time we fight, we should take advantage of that."
    
    saber "Precisely. It's something we should keep in mind."
    
    sylvia "I guess so..."
    
    saber "Anyway."
    
    saber "We should work that out on the road. It's time we get going again."
    
    stop music fadeout 2.0
    
    sylvia "Aw, man... I was just starting to feel rested, too..."
    
    return
    
label caughtontheroad:
    $ save_name = "Caught on the Road"
    scene bg on the road with pixellate
    
    sylvia "These dirt roads are awful. They just feel so... exposed. Shouldn't we be in the woods, out of sight?"
    
    mira "If we avoid the roads, then we're just going to get lost. And besides... I refuse to hide just to avoid a fight."
    
    saber "That's not her righteous warrior's pride speaking. We need more food; stealing from orcs is the best way to get it."
    
    mira "Don't listen to him. That WAS my righteous warrior's pride speaking."
    
    sylvia "Oh, I see how it is..."
    
    saber "Shh. Do you hear that?"
    
    $ renpy.pause(1.0)
    
    mira "Sounds like a wagon."
    
    $ renpy.pause(0.5)
    
    x "And then it appears from around the corner."
    
    mira "...looks like orcs."
    
    x "Five orcs, and one human holding the horse's reigns. Prisoner, no doubt."

    sylvia "Oh no..."
    
    saber "They see us. Get ready to fight, ladies."
    
    x "I dimly wish he'd find some better way to address us... but now's not a good time to bring that up, I suppose."
    
    stop music fadeout 2.0
    queue music "gearhead.mp3"
    
    scene bg battlefield with pixellate
    $ battle ( [ Warrior(), Warrior(), Grunt(), Grunt(), Orcmage() ], "The orcs jump off the wagon and attack!", spoils=7, reward=70)
    scene bg on the road with pixellate
    
    stop music fadeout 2.0
    queue music "aridfoothills.mp3"
    
    x "We beat the orcs off soundly... the man watching seems thrilled."
    
    "Merchant" "Oh, thank you!"
    
    x "Sylvia and I both smile at him. She doesn't seem to know what to say, and neither do I."
    
    "Merchant" "You saved my life... those orcs weren't going to keep me alive much longer, for sure."
    
    sylvia "I guess it was a good thing we were here after all..."
    
    mira "Anything we can do."
    
    "Merchant" "Please... how can I repay you? Do you need supplies?"
    
    mira "Oh, no, we couldn't accept charity..."
    
    sylvia "Is that more of your righteous warrior's pride, Mira?"
    
    x "I cough."
    
    "Merchant" "Then don't think of it as charity. Let me put it this way: I have some equipment in my wagon still, I'll sell you anything I can't carry on me."
    
    "Merchant" "I'm going to escape back to human territory on horseback. There's not much left that the orcs didn't pillage, but the wagon will just slow me down."
    
    mira "Well... that would be alright."
    
    $ buysell()
    
    mira "Well, good luck. You should be safe... we're not that far away from Tarneses, right? It can't be more than half a day on horseback."
    
    "Merchant" "Er, well..."
    
    x "He looks uncomfortably. Immediately my thoughts turn to the worse. Tarneses is a village not far from the edge of the orcish frontier... but it's heavily fortified."
    
    x "Surely it should be safe... right?"
    
    sylvia "N-no... it's..."
    
    x "I stare at Sylvia, surprised."
    
    mira "It's what?"
    
    sylvia "It's... I'm from Tarneses. The orcs hit it a few days ago."
    
    x "...oh."
    
    stop music
    $ renpy.pause(1.0)
    
    mira "...oh. I'm so sorry."
    
    "Merchant" "I'm sorry to be the bearer of bad news. I'll be on my way now. Thank you again for saving my life!"
    
    x "He disappears quickly. I think Saber says goodbye to him first, but I'm not really paying attention; I'm too surprised to hear that the border has been pushed that far."
    
    mira "I'm sorry, Sylvia. I didn't know."
    
    x "Sylvia tries to smile."
    
    sylvia "It's okay. I know. Come on, we've still got a long ways to go, right?"
    
    x "She seems upset, even if she tries not to. I feel even more sorry for her than I did before."
    
    return
    
label firstwatch:
    $ save_name = "First Watch"
    scene bg camp with pixellate
    stop music fadeout 2.0
    queue music "voicesintheforest.mp3"
    
    x "Saber's taking the second watch for tonight. I just have to stay awake for a couple more hours. Then it's off to him."
    
    x "The night's quiet, and the the moon is bright in the sky; I'm just staring at the dim remnant of our campfire. Behind me, animals move around in the woods... well away from us."
    
    x "I'm not really thinking of anything much in particular. Honestly."
    
    sylvia "Hey, Mira..."
    
    x "I look up."
    
    mira "Hi there. What're you doing still awake?"
    
    sylvia "I couldn't sleep. Do you mind if I join you?"
    
    mira "No... of course not. By all means."
    
    x "She sits down on the log beside me, staring at the fire."
    
    x "There's something about a fire at night... you can't help but gaze at it, no matter if it's blazing or barely more than embers."
    
    x "Maybe there's something poetic there, I don't know. But it's true."
    
    sylvia "Thanks."
    
    mira "So... how're you holding up, Sylvia?"
    
    sylvia "Well... I'm stuck in orc territory with my life at risk at every turn, and my travelling companions are an anti-social soldier and a scary warrior lady..."
    
    sylvia "...but that aside, I'm just fine."
    
    x "Well, I was just trying to show concern. But if she's going to be like that..."
    
    mira "Scary?"
    
    sylvia "Ha..."
    
    sylvia "You are. I mean, I just don't understand you. At times you seem almost bloodthirsty, and when you fight, you fly into a rage..."
    
    sylvia "...but then other times you seem overwhelmingly compassionate. You put up with me; I don't know if I would. And I think it's more like righteous fury than rage."
    
    sylvia "You're just... hard to get. Saber, he's simple, I understand him. Does that make sense?"
    
    mira "I... guess? Sure, I'm not simple."
    
    sylvia "Don't get me wrong, you saved me, and I really love you. You're just intimidatingly confusing."
    
    x "Now I'm confused by what she's trying to say."
    
    mira "You love me?"
    
    sylvia "Oh, I'm positively smitten."

    x "She turns away from the fire long enough to smile coyly at me."
    
    x "...forget it, she's just teasing me."
    
    mira "If you say so."
    
    return
    
label enteringthedarkwoods:
    $ save_name = "Entering the Dark Woods"
    stop music fadeout 2.0
    play music "gearhead.mp3"
    scene bg battlefield with pixellate
    $ battle( [ Nomad(), Warrior() ], "More orcs attack...", spoils=3, reward=100)
    scene bg on the road with pixellate
    
    stop music fadeout 2.0
    
    sylvia "And just when I was thinking we'd get through the morning without a fight..."
    
    saber "Fat chance of that happening here."
    
    mira "Come on, we're holding up just fine!"
    
    sylvia "Speak for yourself..."
    
    x "We near the edge of the woods we've been approaching for some time. It's unbelievable how creepy they seem even in the middle of a bright, sunny day."
    
    sylvia "You don't seriously want to go through, do you?"
    
    saber "It'd take too long to go around. We'll get hit by more orcs."
    
    sylvia "Gaaaah..."
    
    play music "horrorinnersanctum.mp3"
    scene bg dark woods with pixellate
    
    x "We enter the forest... shivers run down my spine."
    
    sylvia "God, seriously... this place is the creepiest. There's something about it-- I'm not just crazy, right?"
    
    mira "No... you're not."
    
    saber "Probably just cursed."
    
    sylvia "Seriously?"
    
    mira "Well, this is orc land. If they are cursed, it's no surprise; those monsters bring blight with them everywhere they go."
    
    saber "It's more of a physical blight, though."
    
    mira "Maybe... supposedly, the orcs were all originally spun together by black magic. Maybe that all leaks out."
    
    sylvia "Really? Where did you hear that?"
    
    mira "That was the going word with the officers, back when I was at Londer."
    
    saber "I've heard that they're just horrifically mutated men. With their humanity replaced by nothing but rage."
    
    mira "Who told you that?"
    
    saber "A wizard."
    
    sylvia "I guess either way, the magic spills off..."
    
    mira "...and destroys nature."
    
    sylvia "God, this is so awful. It's just... not only does it feel like death... it feels like something is going to jump out at us at any second..."
    
    return
    
label thingswehate:
    $ save_name = "Things We Hate"
    scene bg dark woods with pixellate
    
    sylvia "God, I hate these tree stumps! I keep tripping on them. Don't you?"
    
    mira "Not really. But I do hate these woods."
    
    saber "The woods aren't the problem. I hate the low hanging branches."
    
    if sylvia_class[1] in party:
        sylvia "I hate breeches. They're too uncomfortable for the stress of this terrrain."
    else:
        sylvia "I hate this skirt. It keeps snagging on every single bit of underbrush."
    
    mira "I hate all women's clothing. No matter what, you lose."
    
    sylvia "I was with you on the woods. I hate hiking."
    
    saber "I hate meaningless conversation."
    
    mira "Touché. I hate orcs. If it weren't for them, we wouldn't be here."
    
    sylvia "I hate this darkness. Isn't it midday? It practically looks like twilight."
    
    mira "I hate this trudgery. It's so boring."
    
    saber "I can agree with that. Hate it."
    
    sylvia "God, you're telling me. I hate... what else do I hate?"
    
    mira "Orc cuisine."
    
    sylvia "Dying of thirst."
    
    mira "Miserable heat."
    
    sylvia "Miserable humidity!"
    
    saber "Poorly balanced swords."
    
    sylvia "Poorly balanced travelling companions."
    
    mira "That's awfully harsh. I hate your sass!"
    
    sylvia "You do not. I hate lies."
    
    mira "Innuendo."
    
    sylvia "Tactlessness."
    
    saber "Ambush!"
    
    mira "Yeah, I hate tho--"
    
    saber "No, ORC AMBUSH!"
    
    stop music fadeout 2.0
    queue music "gearhead.mp3"
    scene bg battlefield gray with pixellate
    $ battle( [ Nomad(), Nomad(), Nomad() ], "Three orcs strike from the shadows!", spoils=7, reward=30)
    
    return
    
label nightinthewoods:
    $ save_name = "Night in the Woods"
    scene bg forest camp dark with pixellate
    stop music fadeout 2.0
    play music "horrorinnersanctum.mp3"
    
    x "I sit in front of the sad little fire... it's the only light there is. The thick canopy of trees stops any starlight or moonlight from shining in at all."
    
    x "Sylvia is sleeping quietly with her head against my leg. No teasing tonight... she was too frightened to sleep alone, and I don't blame her."
    
    x "Poor girl."
    
    x "I hear a noise coming from one of our tents... it's just Saber getting up."
    
    saber "It should be my shift by now."
    
    mira "You figure? I can't even tell, it's impossible to see the sky."
    
    saber "I just keep an hourglass."
    
    mira "Oh... clever. Anyway, go ahead, but I'm not going to move yet. I don't want to wake her up."
    
    saber "Oh... I see."
    
    mira "She couldn't get to sleep on her own; too scared."
    
    x "There's a bit of a silence."
    
    saber "How about you? Scared at all?"
    
    mira "No, not at all."
    
    saber "Really. I sure am."
    
    x "Really? Him, scared?"
    
    saber "If these woods really are cursed, that's certainly the kind of danger I don't want to be involved in. And either way we're over our heads."
    
    saber "Seems like a good thing to be scared of to me."
    
    mira "Yeah? I guess so."
    
    x "It occurs to me that maybe I don't have such a good read on Saber after all. He seems simple, after all... but I don't know anything about him."
    
    mira "Say. Can I ask you something sort of personal?"
    
    saber "If you must."
    
    mira "Well... what is your background like? Before it sounded like you were military, at least from what you were saying."
    
    x "He's silent for a good minute."
    
    saber "Military? Oh... no. I just fought alongside a general once. I picked up a few things quickly. I'm no soldier."
    
    mira "Really? What's the story behind that?"
    
    x "More silence."
    
    saber "...I'd really rather not talk about it."
    
    mira "Sorry. That's fair eno--"
    
    x "And suddenly... I stop. The coldest chill runs down my spine, as I stare at the forest behind Saber."
    
    x "We're not alone. Something is watching us."
    
    x "Something in the darkness has been watching us... and approaching... I can feel it, and I can see the dim silhouette."
    
    mira "Saber..."
    
    x "It's huge. It's evil. It's magical. That much I can sense. It's... I have no idea."
    
    mira "Look behind you... slowly. VERY slowly. There's... there's something there."
    
    x "He turns his head, and a look of shock comes across his face. He sees it too."
    
    saber "See... that is something to be scared of. Do you have your sword at hand?"
    
    mira "Yeah. I do."
    
    mira "Sylvia, wake up!"
    
    stop music
    play music "sevenmarch.mp3"
    
    scene bg battlefield darkness with pixellate
    $ battle([ Monster() ], "There's something in the darkness...")
    scene bg forest camp dark with pixellate
    
    sylvia "Oh my god... what... what was that thing?"
    
    mira "I have no idea..."
    
    saber "I don't want to know."
    
    sylvia "God... it nearly killed us..."
    
    sylvia "Do... do you think there's more out there? Are there others watching? Oh my god..."
    
    mira "I..."
    
    x "My heart is racing. I'd rather not admit it, but I'M scared, too."
    
    x "Must be the magic in the air. It's affecting my ability to think straight."
    
    mira "Let's not stick around to find out. Does anyone object to leaving now?"
    
    saber "No way I'm getting back to sleep. Might as well."
    
    sylvia "Oh, god... please, let's just get out of here as fast as we can..."
    
    x "We pack up frantically and get going. All three of us seem on edge..."
    
    x "...but I think we all know that nothing could be worse than spending a minute longer in these woods than we have to."
    
    return
    
label outofthewoods:
    $ save_name = "Out of the Woods"
    scene bg sunset plains with pixellate
    stop music fadeout 2.0
    queue music "voicesintheforest.mp3"
    
    x "After a few hours of walking, we manage to escape those awful woods... only to discover that the sun has started to set."
    
    x "All three of are shocked, of course; and not really certainly what that means, other than we completely lost track of time. We don't really talk about it."
    
    x "We're just thankful that we're out of that unhallowed wasteland and leave it rightly at that."
    
    x "After another few hours of walking..."
    
    sylvia "Say, Mira. Can I ask you something?"
    
    mira "But of course."
    
    sylvia "Where are you from?"
    
    mira "Oh, up north... small town, West Storroa."
    
    sylvia "Wow. That's a long way away. What are you doing here?"
    
    x "There's not much to it; and I can't really answer the question how she'd like. I don't end up staying in one place a lot. I shrug."
    
    mira "That's where I was deployed. I've been on the orcish frontier for years, more or less."
    
    sylvia "Oh... so you actually are in the military?"
    
    mira "Yeah. Even Majors get captured, too..."
    
    sylvia "You're an officer? Oh, wow, that's amazing; but it makes sense."
    
    mira "A Major isn't an officer, Sylvia."
    
    sylvia "Oh. Well, you know what I meant. It's still important."
    
    mira "Sure."
    
    sylvia "So... what's it like being a woman in the army? I can only imagine it's got to be tough, especially for someone with your looks..."
    
    mira "Oh, right. I'm just constantly fighting off all the men with a sword."
    
    mira "I'm a commander. My troops respect me-- and if they don't, I'll kick their ass myself-- and my superiors don't give a damn about me."
    
    mira "I don't think it ever really comes into play."
    
    sylvia "Oh..."
    
    mira "Wait, my looks?"
    
    x "She giggles."
    
    sylvia "Well, you're beautiful. That's all I meant."
    
    mira "Uh, alright..."
    
    sylvia "So, what, does it get lonely? Do you court men of your own rank, or what?"
    
    mira "I, uh, don't 'court' anyone. Not least of all men."
    
    sylvia "Oooh, I see how it is... the beautiful warrior maiden only has room in her heart for a lady, right?"
    
    mira "All I have room in my heart for is fire. You know. In times like these, with the orcs pushing forward every day... who can have time for love?"
    
    sylvia "That's... really sad, Mira."
    
    mira "I suppose it is."
    
    x "That's life, is what it is."
    
    return
    
label findingthevillage:
    $ save_name = "Finding the Village"
    scene bg sunset plains with pixellate
    
    sylvia "Look! Houses on the horizon!"
    
    saber "Huh. They are."
    
    sylvia "Do... do you think it's Tarnesses?"
    
    mira "Well... what else could it be?"
    
    x "I don't really know what to say. If the village has been destroyed... then I hope it's not too hard on her to see it as we pass by."
    
    mira "We could go around, if you don't want--"
    
    sylvia "No."
    
    sylvia "I want to pay my respects. I owe that much."
    
    mira "Alright."
    
    x "...what more is there to say?"
    
    x "We walk onwards, in more or less silence."
    
    x "This time, it's a bit eerie. Before, there's been some conversation to fill the gap... but nobody has anything to say right now."
    
    x "Sylvia must be collecting her thoughts."
    
    x "After an hour and some of walking into the sunset..."
    
    scene bg ruined town with pixellate
    
    saber "Wait, hold still. I see movement."
    
    mira "Do you think there's still orcs around...?"
    
    x "I look closely at the ruins in front of me, trying to see what Saber saw. And I realize..."
    
    sylvia "No, it's a woman! There's survivors!"
    
    x "Sylvia starts to run in the woman's direction, waving and calling; the woman takes notice and starts walking towards her."
    
    stop music fadeout 2.0
    queue music "judeestune.mp3"
    
    x "I've never seen Sylvia excited like this."
    
    x "Saber and I start walking a bit quicker to catch up... but she's already running back, a huge smile on her face."
    
    sylvia "Oh, it's great! According to Marissa... there were nearly a hundred survivors! Apparently, when the orcs came, my grandfather managed to organize everyone he could..."
    
    sylvia "...and hid nearly half the village in the surrounding forest."
    
    mira "Wow... that's wonderful news."
    
    sylvia "I mean... it's still a lot of death... but..."
    
    mira "But it's good that you're not the only survivor. It's okay to be happy."
    
    sylvia "Oh, I'm glad you understand... yes, yes, that's right."
    
    x "Suddenly, she hugs me. I-- I'm completely surprised. And before I even get a chance to react--"
    
    sylvia "Do you mind if I run ahead? I'd really like to see my grandfather, see that he's okay..."
    
    mira "Uh... of course, go. We'll follow."
    
    sylvia "Great! Thanks!"
    
    x "And with that, she runs off."
    
    mira "Wow. She's excited."
    
    saber "Can you blame her?"
    
    mira "No, no... not at all. And I'm happy for her."
    
    x "We walk on. Saber goes back to his usual silence."
    
    mira "Say... what do you think she's going to do now? I suppose she'll stay behind in her village, now that she's back."
    
    saber "I suppose so."
    
    mira "I guess that's probably best for her..."
    
    x "More silence."
    
    saber "You're going to miss her."
    
    mira "I guess I will. I like her."
    
    saber "I thought you didn't have any room in your heart for that."
    
    mira "Don't be absurd. That's not what I was saying at all. I was just saying that I didn't have any time to pursue a lady romantically because of the war."
    
    mira "That doesn't mean I can't like her as a person platonically."
    
    saber "You know that's not how she likes you."
    
    mira "Maybe... maybe."
    
    mira "You know, I liked you better when you were quiet."
    
    return
    
label sylviasdecision:
    $ save_name = "Sylvia's Decision"
    scene bg black with pixellate
    x "We spend the night in one of the village's ruined wood houses, and dine on what seems like the most extravagant feast possible."
    
    x "And in the morning... Sylvia announces she has something to tell us about where we go from here."
    
    scene bg ruined town day with pixellate
    stop music fadeout 2.0
    play music "bretondancesuite.mp3"
    
    sylvia "So... I've thought about it, and I talked about it with my grandfather..."
    
    mira "Yes?"
    
    sylvia "If it's alright with you..."
    
    sylvia "...I've decided that I'd like to continue travelling with you, Mira."
    
    mira "Wait, what? I would've thought you'd choose to stay here... this is your home, isn't it?"
    
    sylvia "Yeah... it is."
    
    mira "Then why not stay?"
    
    sylvia "Because I'm--"
    
    x "She starts to say... then she stops, looking down. After a moment, she starts again."
    
    sylvia "Because I don't want to be here in case the orcs come back checking for me. They might spare the village after having laid ruin to it, but..."
    
    sylvia "...I don't want to take the risk of them retaliating against everyone for harbouring an escaped captive."
    
    sylvia "It's... well, I don't know much about honour or nobility, or hell, even the sort of responsibility that you have to deal with."
    
    sylvia "But I know it wouldn't be right to leave everyone here in that sort of jeopardy."
    
    sylvia "And after having seen what I have... maybe it'd be easier, but I don't know if I can just sit by idly while these monsters destroy everything."
    
    sylvia "I know I'm not really brave, but... I'd like to keep travelling with you all the same."
    
    x "...wow. Her words make an impression on my heart; she's right, and her motivation is pure, no question."
    
    mira "Well, in that case... I'd be honoured to have you travelling by my side, Sylvia. Thank you."
    
    sylvia "Oh... thank you! I'm so glad you understand."
    
    x "We spend the rest of the morning in the remains of the village, and talk to her grandfather; he tells me all about Sylvia... and most importantly, to take care of her."
    
    x "I promise him that I will."
    
    "Grandfather" "Before you go... you should resupply your satchels. I've already given Sylvia enough food to last you for at least a couple weeks..."
    
    "Grandfather" "...but that isn't all you need, I know."
    
    x "It feels weird, trading and accepting hospitality from an old man in a devastated village..."
    
    x "...but truthfully, I think the coins will help him keep away the orcs more than any weapons possibly could in the hands of the villagers remaining."
    
    $ buysell()
    
    mira "I suppose that's all."
    
    sylvia "You go on ahead... I'd like to say goodbye to my grandfather alone, if you don't mind."
    
    mira "Of course."

    mira "I just have to say... thank you for the hospitality. I promise your granddaughter is in safe hands."
    
    saber "Good bye."
    
    return
    
label thebeginning:
    $ save_name = "The Beginning"
    scene bg forest day with pixellate
    
    x "We travel through the forest for a whole day... these woods seem to go on absolutely forever."
    
    x "They wind and twist, over bumpy terrain. Nothing of interest happens until midday, when Saber stops us at the edge of a ridge."
    
    saber "Look... it's an orc camp. A big one, at that."
    
    mira "It sure is... good heavens. How many do you figure-- twenty orcs?"
    
    saber "Around that. I don't know if we can fight them all. That's a lot for three people to take on, that's for sure."
    
    saber "...wait."
    
    sylvia "What is it?"
    
    saber "That flag... I've seen it before."
    
    mira "Where?"
    
    saber "The sons of bitches that captured me carried it."
    
    mira "Oh..."
    
    saber "You two, wait here. I've... got something I have to do."
    
    x "He starts to climb over the edge of the ridge, but I grab his arm."
    
    mira "You're not going anywhere alone."
    
    saber "I'm going down there no matter what. I don't care if I have to fight through a million orcs to get through it, I will. But you shouldn't take that risk."
    
    mira "I'm not arguing. I'm going with you, like it or not. Sylvia... wait here."
    
    x "I let go, and start to follow him over the edge of the ridge... this time Sylvia stops us."
    
    sylvia "You're not leaving me behind, Mira."
    
    mira "Sylvia... you need to wait here, and head back to the village if things seem rough for us. I can't be sure to protect you against those numbers."
    
    sylvia "Stop it."
    
    sylvia "You told me, at the very beginning, that I should believe in you, right?"
    
    mira "Yes, but--"
    
    sylvia "Then you don't have to be sure. I'm sure enough."
    
    sylvia "I want to be by your side, Mira. It might be scary, it might be tough... but I'm going to be there."
    
    mira "...alright, then. There's no arguing with you."
    
    sylvia "Damn right!"
    
    saber "Then let's go, and let's kick some ass. Follow my lead; this time, we're not going to be doing any sneaking around."
    
    stop music fadeout 2.0
    queue music "gearhead.mp3"
    
    x "Saber starts to slide down the edge of the ridge, hitting the ground with a run, both of us shortly behind him. We charge at the camp, the tents mere metres away."
    
    x "They see us. Two orcs immediately spring to action, rushing forward to attack us."
    
    x "Suddenly, the loudest, most commanding voice I've heard in my life bellows from Saber..."
    
    saber "I demand an audience with your leader immediately!"
    
    x "The orcs snarl back at him. They understand... they just don't care."
    
    saber "I will strike down anyone who gets between me and him. Move aside or die!"
    
    scene bg battlefield with pixellate
    $ battle( [ Warrior(), Warrior() ], "The two guards stand steady... they're not impressed.", spoils=4)
    scene bg forest day with pixellate
    
    stop music fadeout 2.0
    queue music "rockmain.mp3"
    
    x "By now the whole camp has caught up to us. A huge circle of orc warriors-- twenty, maybe more-- has surrounded us... with a lone, cloaked green figure in the middle."
    
    scene bg battlefield with pixellate
    $ finalboss = True
    $ battle( [ Captain() ], "He says nothing." )
    
    call credits from nowhere_1x
    
label bossspeech:
    saber "My name is Saber. I am the one you filthy monsters call 'the Destroyer.' You destroyed my home, killed my family..."
    
    saber "...and when you couldn't kill the entire group trying to keep me safe, you stole in during the night, kidnapped me, and put me through agony."
    
    x "The orc growls."
    
    "Captain" "Why do you tell me this? Do you think it makes a difference?"
    
    saber "I tell you this because unlike you, I'm not a god-forsaken coward. I don't know about your insane prophecy, but I WILL destroy YOU!"
    
    x "Right now... I have no idea what he's talking about."
    
    x "It's some other story that I don't think he'll ever tell us... and it sounds bigger than anything I'd like to try to figure out myself."
    
    x "All I know is I promised I'd help him out..."
    
    x "...and it's Saber and Sylvia's lives on the line if I don't fight, regardless of what the story is."
    
    stop music fadeout 2.0
    queue music "rockmain.mp3"
    
    return
    
label partywipe:
    $ currentbattle = [ ]
    
    stop music fadeout 2.0
    scene bg black with pixellate
    
    x "It's no use... I can't move my body an inch further..."
    
    x "This must be what it feels like to be dying... it's all over..."
    
    x "I..."
    
    x "I... failed them..."
    
    x "I failed her..."
    
    x "I gave my word that I'd protect Sylvia... and... now I can't..."
    
    python:
        ui.at(Position(xpos=0.5, ypos=0.5, yanchor=0.5, xanchor=0.5))
        party[1].sprite.dir = _down
        ui.add(party[1].sprite.image())
        
        x("Sylvia...", interact=False)
        
        renpy.pause(5.0)
        party[1].sprite.dir = _left
    
    x "...No!"
    
    x "I can't give up on her... no matter what, I told her I'd keep her safe... that she could believe in me..."
    
    x "I refuse to die!"
    
    x "Struggling against every cell in my body, I press my hand downward, pushing myself up, back to my feet again..."
    
    play music "rockmain.mp3" fadein 7.0
    
    x "My body may be on the verge of collapse... but my heart is filled with fire anew."
    
    x "Burning for her."
    
    x "And so help me god, so long as my heart still burns, with that power alone, I'll still fight on!"
    
    scene bg battlefield with pixellate
    
    python:
        for i in party:
            i.health = i.maxhealth
        battleorder()
    
    mira "Sylvia... don't give up yet!"
    
    return
    
label credits:
    scene bg black with pixellate
    python:
        showcredit("Written by", "Chris Love")
        showcredit("Character sprites","Charas Generator", "charas-project.net")
        showcredit("Map images","Reiner \"Tiles\" Prokein", "reinerstileset.4players.de")
        showcredit("Background images", "Background materials store", "shass.sakura.ne.jp")
        showcredit("Music", "Arid Foothills, Gearhead, Horror Inner Sanctum, Rock Main, Seven March by Kevin MacLeod", "incompetech.com")
        showcredit("Music", "Just Don't Give a Damn, Judee's Tune by Seismic Anamoly", "magnatune.com")
        showcredit("Music", "Voices in the Forest by Rhonda Lorence", "magnatune.com")
        showcredit("Music", "Breton Dance Suite by Panacea", "magnatune.com")
        showcredit("Music", "Soldier by Wakaba", "wakaba-music.com")
        showcredit("No thanks to", "One incredibly hectic work schedule")
        showcredit("Special thanks to", "Tommy")
        showcredit("Special thanks to", "The moral support from LSF")
        showcredit("And...", "You")
    
    stop music fadeout 2.0
    queue music "bretondancesuite.mp3"
    scene bg camp with pixellate
    
    mira "Sylvia..."
    
    sylvia "Mm... yes?"
    
    mira "I've decided... I think I need to reconsider what I said about not having time to worry about love."
    
    sylvia "Oh... and why is that?"
    
    x "I stare over at her, her head resting against my shoulder. I don't think I'd noticed before... but she really is so beautiful."
    
    mira "Because I think I'm in love with you."
    
    sylvia "Oh... good."
    
    mira "Good...?"
    
    x "She moves and turns around, kissing me gently."
    
    sylvia "I'm glad!"
    
    stop music fadeout 10.0
    
    jump _main_menu